Bug 1095861 - UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 21: ordinal not in range(128)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 21: ordi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
: 1096398 1100265 1100822 1109323 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-08 13:02 EDT by Rahul Sundaram
Modified: 2014-06-14 04:41 EDT (History)
13 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.0.8-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-31 19:57:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2014-05-08 13:02:00 EDT
Description of problem:


dnf --version
0.5.1
  Installed: dnf-0:0.5.1-1.fc20.noarch at 2014-05-04 01:11
  Built    : Fedora Project at 2014-05-02 08:25

  Installed: rpm-0:4.11.2-2.fc20.x86_64 at 2014-02-22 06:27
  Built    : Fedora Project at 2014-02-18 07:24


I did a dnf update recently which resulted in

sudo dnf update --enablerepo=updates-testing 
[sudo] password for rahul: 
Failed loading plugin: copr
Failed loading plugin: debuginfo-install
Failed loading plugin: kickstart
Failed to synchronize cache for repo 'jamielinux-tor': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Failed to synchronize cache for repo 'fedora-chromium': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried, disabling.
Fedora 20 - x86_64 - Test Updates               346 kB/s | 3.5 MB     00:10    
Dependencies resolved.

================================================================================
 Package                   Arch     Version             Repository         Size
================================================================================
Installing:
 kernel                    x86_64   3.14.3-200.fc20     updates-testing    32 M
 kernel-modules-extra      x86_64   3.14.3-200.fc20     updates-testing   2.1 M
Upgrading:
 abrt                      x86_64   2.2.1-2.fc20        updates-testing   444 k
 abrt-python               x86_64   2.2.1-2.fc20        updates-testing   103 k
 abrt-libs                 x86_64   2.2.1-2.fc20        updates-testing   100 k
 abrt-retrace-client       x86_64   2.2.1-2.fc20        updates-testing   116 k
 abrt-python3              x86_64   2.2.1-2.fc20        updates-testing   104 k
 abrt-plugin-bodhi         x86_64   2.2.1-2.fc20        updates-testing    90 k
 abrt-gui                  x86_64   2.2.1-2.fc20        updates-testing   184 k
 abrt-desktop              x86_64   2.2.1-2.fc20        updates-testing    81 k
 abrt-dbus                 x86_64   2.2.1-2.fc20        updates-testing   113 k
 abrt-addon-xorg           x86_64   2.2.1-2.fc20        updates-testing    91 k
 abrt-addon-vmcore         x86_64   2.2.1-2.fc20        updates-testing   100 k
 abrt-addon-python3        x86_64   2.2.1-2.fc20        updates-testing    89 k
 abrt-addon-python         x86_64   2.2.1-2.fc20        updates-testing    91 k
 abrt-addon-pstoreoops     x86_64   2.2.1-2.fc20        updates-testing    90 k
 abrt-addon-kerneloops     x86_64   2.2.1-2.fc20        updates-testing    99 k
 abrt-addon-ccpp           x86_64   2.2.1-2.fc20        updates-testing   177 k
 abrt-gui-libs             x86_64   2.2.1-2.fc20        updates-testing    89 k
 cifs-utils                x86_64   6.3-2.fc20          updates-testing    84 k
 docker-io                 x86_64   0.10.0-2.fc20       updates-testing   4.4 M
 gupnp                     x86_64   0.20.11-1.fc20      updates-testing    96 k
 iproute                   x86_64   3.14.0-2.fc20       updates-testing   515 k
 kernel-headers            x86_64   3.14.3-200.fc20     updates-testing   946 k
 librepo                   x86_64   1.7.3-1.fc20        updates-testing    59 k
 python-librepo            x86_64   1.7.3-1.fc20        updates-testing    42 k
 os-prober                 x86_64   1.58-6.fc20         updates-testing    40 k
 policycoreutils           x86_64   2.2.5-4.fc20        updates-testing   682 k
 policycoreutils-python    x86_64   2.2.5-4.fc20        updates-testing   432 k
 policycoreutils-devel     x86_64   2.2.5-4.fc20        updates-testing   319 k
 policycoreutils-gui       x86_64   2.2.5-4.fc20        updates-testing   1.7 M
 python-six                noarch   1.6.1-1.fc20        updates-testing    25 k
 python3-six               noarch   1.6.1-1.fc20        updates-testing    25 k
 qt                        x86_64   1:4.8.6-5.fc20      updates-testing   4.7 M
 qt-x11                    x86_64   1:4.8.6-5.fc20      updates-testing    13 M
 qt-devel                  x86_64   1:4.8.6-5.fc20      updates-testing    11 M
 qt                        i686     1:4.8.6-5.fc20      updates-testing   4.8 M
 qt-qdbusviewer            x86_64   1:4.8.6-5.fc20      updates-testing    57 k
 qt-x11                    i686     1:4.8.6-5.fc20      updates-testing    13 M
 selinux-policy            noarch   3.12.1-161.fc20     updates-testing   343 k
 selinux-policy-targeted   noarch   3.12.1-161.fc20     updates-testing   3.8 M
 selinux-policy-devel      noarch   3.12.1-161.fc20     updates-testing   3.2 M
 xorg-x11-drv-evdev        x86_64   2.8.4-1.fc20        updates-testing    45 k
 youtube-dl                noarch   2014.05.05-1.fc20   updates-testing   449 k
Removing:
 kernel                    x86_64   3.13.9-200.fc20     @System           133 M
 kernel-modules-extra      x86_64   3.13.9-200.fc20     @System           8.1 M

Transaction Summary
================================================================================
Install   2 Packages
Upgrade  42 Packages
Remove    2 Packages

Total download size: 98 M
Is this ok [y/N]: y
Downloading Packages:
(1/44): kernel-modules-extra-3.14.2-200.fc20_3.  62 kB/s | 190 kB     00:03    
(2/44): abrt-2.2.1-1.fc20_2.2.1-2.fc20.x86_64.d  50 kB/s | 166 kB     00:03    
[MIRROR] abrt-python-2.2.1-2.fc20.x86_64.rpm: Curl error: FTP: couldn't retrieve (RETR failed) the specified file for ftp://mirrors.kernel.org/fedora/updates/testing/20/x86_64/abrt-python-2.2.1-2.fc20.x86_64.rpm
[MIRROR] abrt-libs-2.2.1-2.fc20.x86_64.rpm: Curl error: FTP: couldn't retrieve (RETR failed) the specified file for ftp://mirrors.kernel.org/fedora/updates/testing/20/x86_64/abrt-libs-2.2.1-2.fc20.x86_64.rpm
(3/44): abrt-python-2.2.1-2.fc20.x86_64.rpm      57 kB/s | 103 kB     00:01    
(4/44): abrt-libs-2.2.1-2.fc20.x86_64.rpm        57 kB/s | 100 kB     00:01    
(5/44): abrt-retrace-client-2.2.1-2.fc20.x86_64  22 kB/s | 116 kB     00:05    
(6/44): abrt-python3-2.2.1-2.fc20.x86_64.rpm     19 kB/s | 104 kB     00:05    
(7/44): abrt-gui-2.2.1-2.fc20.x86_64.rpm         96 kB/s | 184 kB     00:01    
(8/44): abrt-plugin-bodhi-2.2.1-2.fc20.x86_64.r  37 kB/s |  90 kB     00:02    
(9/44): abrt-desktop-2.2.1-2.fc20.x86_64.rpm     52 kB/s |  81 kB     00:01    
(10/44): abrt-dbus-2.2.1-2.fc20.x86_64.rpm       69 kB/s | 113 kB     00:01    
(11/44): abrt-addon-xorg-2.2.1-2.fc20.x86_64.rp  65 kB/s |  91 kB     00:01    
(12/44): abrt-addon-vmcore-2.2.1-2.fc20.x86_64.  66 kB/s | 100 kB     00:01    
(13/44): abrt-addon-python-2.2.1-2.fc20.x86_64.  62 kB/s |  91 kB     00:01    
(14/44): abrt-addon-python3-2.2.1-2.fc20.x86_64  43 kB/s |  89 kB     00:02    
(15/44): abrt-addon-pstoreoops-2.2.1-2.fc20.x86  67 kB/s |  90 kB     00:01    
(16/44): abrt-addon-kerneloops-2.2.1-2.fc20.x86  48 kB/s |  99 kB     00:02    
(17/44): abrt-addon-ccpp-2.2.1-2.fc20.x86_64.rp  90 kB/s | 177 kB     00:01    
(18/44): abrt-gui-libs-2.2.1-2.fc20.x86_64.rpm   60 kB/s |  89 kB     00:01    
(19/44): cifs-utils-6.3-2.fc20.x86_64.rpm        58 kB/s |  84 kB     00:01    
(20/44): gupnp-0.20.10-1.fc20_0.20.11-1.fc20.x8 9.2 kB/s |  43 kB     00:04    
[DRPM] kernel-modules-extra-3.14.2-200.fc20_3.14.3-200.fc20.x86_64.drpm: done  
[DRPM] abrt-2.2.1-1.fc20_2.2.1-2.fc20.x86_64.drpm: done                        
(21/44): iproute-3.14.0-2.fc20.x86_64.rpm        61 kB/s | 515 kB     00:08    
(22/44): kernel-headers-3.14.2-200.fc20_3.14.3-  34 kB/s | 166 kB     00:04    
[DRPM] gupnp-0.20.10-1.fc20_0.20.11-1.fc20.x86_64.drpm: done                   
(23/44): librepo-1.7.2-1.fc20_1.7.3-1.fc20.x86_  17 kB/s |  23 kB     00:01    
(24/44): python-librepo-1.7.2-1.fc20_1.7.3-1.fc  12 kB/s |  17 kB     00:01    
[DRPM] kernel-headers-3.14.2-200.fc20_3.14.3-200.fc20.x86_64.drpm: done        
[DRPM] librepo-1.7.2-1.fc20_1.7.3-1.fc20.x86_64.drpm: done                     
(25/44): os-prober-1.58-5.fc20_1.58-6.fc20.x86_  11 kB/s |  16 kB     00:01    
[DRPM] python-librepo-1.7.2-1.fc20_1.7.3-1.fc20.x86_64.drpm: done              
(26/44): policycoreutils-2.2.5-3.fc20_2.2.5-4.f  72 kB/s | 212 kB     00:02    
[DRPM] os-prober-1.58-5.fc20_1.58-6.fc20.x86_64.drpm: done                     
(27/44): docker-io-0.10.0-2.fc20.x86_64.rpm     169 kB/s | 4.4 MB     00:26    
(28/44): policycoreutils-python-2.2.5-3.fc20_2.  94 kB/s | 183 kB     00:01    
[DRPM] policycoreutils-2.2.5-3.fc20_2.2.5-4.fc20.x86_64.drpm: done             
(29/44): policycoreutils-devel-2.2.5-4.fc20.x86 117 kB/s | 319 kB     00:02    
(30/44): policycoreutils-gui-2.2.5-3.fc20_2.2.5  90 kB/s | 172 kB     00:01    
[DRPM] policycoreutils-python-2.2.5-3.fc20_2.2.5-4.fc20.x86_64.drpm: done      
(31/44): python3-six-1.5.2-1.fc20_1.6.1-1.fc20.  12 kB/s | 8.6 kB     00:00    
(32/44): python-six-1.5.2-1.fc20_1.6.1-1.fc20.n 4.4 kB/s | 8.7 kB     00:01    
[DRPM] policycoreutils-gui-2.2.5-3.fc20_2.2.5-4.fc20.x86_64.drpm: done         
[DRPM] python3-six-1.5.2-1.fc20_1.6.1-1.fc20.noarch.drpm: done                 
(33/44): qt-4.8.6-2.fc20_4.8.6-5.fc20.x86_64.dr  51 kB/s |  57 kB     00:01    
[DRPM] python-six-1.5.2-1.fc20_1.6.1-1.fc20.noarch.drpm: done                  
(34/44): qt-x11-4.8.6-2.fc20_4.8.6-5.fc20.x86_6 219 kB/s | 560 kB     00:02    
(35/44): qt-4.8.6-2.fc20_4.8.6-5.fc20.i686.drpm  87 kB/s |  62 kB     00:00    
(36/44): qt-qdbusviewer-4.8.6-2.fc20_4.8.6-5.fc  21 kB/s | 9.8 kB     00:00    
(37/44): qt-devel-4.8.6-2.fc20_4.8.6-5.fc20.x86 113 kB/s | 598 kB     00:05    
[DRPM] qt-qdbusviewer-4.8.6-2.fc20_4.8.6-5.fc20.x86_64.drpm: done              
(38/44): qt-x11-4.8.6-2.fc20_4.8.6-5.fc20.i686. 216 kB/s | 454 kB     00:02    
(39/44): selinux-policy-3.12.1-161.fc20.noarch. 110 kB/s | 343 kB     00:03    
(40/44): selinux-policy-devel-3.12.1-161.fc20.n 200 kB/s | 3.2 MB     00:16    
(41/44): xorg-x11-drv-evdev-2.8.4-1.fc20.x86_64  50 kB/s |  45 kB     00:00    
(42/44): youtube-dl-2014.04.11.1-1.fc20_2014.05  76 kB/s | 175 kB     00:02    
[DRPM] qt-4.8.6-2.fc20_4.8.6-5.fc20.x86_64.drpm: done                          
[DRPM] qt-x11-4.8.6-2.fc20_4.8.6-5.fc20.x86_64.drpm: done                      
[DRPM] qt-4.8.6-2.fc20_4.8.6-5.fc20.i686.drpm: done                            
[DRPM] qt-devel-4.8.6-2.fc20_4.8.6-5.fc20.x86_64.drpm: done                    
(43/44): selinux-policy-targeted-3.12.1-161.fc2 164 kB/s | 3.8 MB     00:23    
(44/44): kernel-3.14.2-200.fc20_3.14.3-200.fc20  60 kB/s | 7.5 MB     02:06    
[DRPM] qt-x11-4.8.6-2.fc20_4.8.6-5.fc20.i686.drpm: done                        
[DRPM] youtube-dl-2014.04.11.1-1.fc20_2014.05.05-1.fc20.noarch.drpm: done      
[DRPM] kernel-3.14.2-200.fc20_3.14.3-200.fc20.x86_64.drpm: done                
--------------------------------------------------------------------------------
Total                                           157 kB/s |  25 MB     02:41     
Delta RPMs reduced 98.4 MB of updates to 24.8 MB (74.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : abrt-libs-2.2.1-2.fc20.x86_64                              1/88 
  Upgrading   : abrt-python-2.2.1-2.fc20.x86_64                            2/88 
  Upgrading   : abrt-2.2.1-2.fc20.x86_64                                   3/88 
  Upgrading   : abrt-addon-kerneloops-2.2.1-2.fc20.x86_64                  4/88 
  Upgrading   : qt-1:4.8.6-5.fc20.x86_64                                   5/88 
  Upgrading   : policycoreutils-2.2.5-4.fc20.x86_64                        6/88 
  Upgrading   : selinux-policy-3.12.1-161.fc20.noarch                      7/88 
  Upgrading   : qt-x11-1:4.8.6-5.fc20.x86_64                               8/88 
  Upgrading   : abrt-retrace-client-2.2.1-2.fc20.x86_64                    9/88 
  Upgrading   : abrt-addon-ccpp-2.2.1-2.fc20.x86_64                       10/88 
  Upgrading   : policycoreutils-python-2.2.5-4.fc20.x86_64                11/88 
  Upgrading   : policycoreutils-devel-2.2.5-4.fc20.x86_64                 12/88 
  Upgrading   : selinux-policy-devel-3.12.1-161.fc20.noarch               13/88 
  Upgrading   : abrt-addon-vmcore-2.2.1-2.fc20.x86_64                     14/88 
  Upgrading   : abrt-addon-pstoreoops-2.2.1-2.fc20.x86_64                 15/88 
  Upgrading   : abrt-python3-2.2.1-2.fc20.x86_64                          16/88 
  Upgrading   : abrt-addon-python3-2.2.1-2.fc20.x86_64                    17/88 
  Upgrading   : abrt-plugin-bodhi-2.2.1-2.fc20.x86_64                     18/88 
  Upgrading   : abrt-dbus-2.2.1-2.fc20.x86_64                             19/88 
  Upgrading   : abrt-addon-xorg-2.2.1-2.fc20.x86_64                       20/88 
  Upgrading   : abrt-addon-python-2.2.1-2.fc20.x86_64                     21/88 
  Upgrading   : librepo-1.7.3-1.fc20.x86_64                               22/88 
  Upgrading   : abrt-gui-libs-2.2.1-2.fc20.x86_64                         23/88 
  Upgrading   : abrt-gui-2.2.1-2.fc20.x86_64                              24/88 
  Installing  : kernel-3.14.3-200.fc20.x86_64                             25/88 
  Installing  : kernel-modules-extra-3.14.3-200.fc20.x86_64               26/88 
  Upgrading   : abrt-desktop-2.2.1-2.fc20.x86_64                          27/88 
  Upgrading   : python-librepo-1.7.3-1.fc20.x86_64                        28/88 
  Upgrading   : policycoreutils-gui-2.2.5-4.fc20.x86_64                   29/88 
  Upgrading   : qt-devel-1:4.8.6-5.fc20.x86_64                            30/88 
  Upgrading   : qt-qdbusviewer-1:4.8.6-5.fc20.x86_64                      31/88 
  Upgrading   : selinux-policy-targeted-3.12.1-161.fc20.noarch            32/88 
  Upgrading   : youtube-dl-2014.05.05-1.fc20.noarch                       33/88 
  Upgrading   : xorg-x11-drv-evdev-2.8.4-1.fc20.x86_64                    34/88 
  Upgrading   : python3-six-1.6.1-1.fc20.noarch                           35/88 
  Upgrading   : python-six-1.6.1-1.fc20.noarch                            36/88 
  Upgrading   : os-prober-1.58-6.fc20.x86_64                              37/88 
  Upgrading   : kernel-headers-3.14.3-200.fc20.x86_64                     38/88 
  Upgrading   : iproute-3.14.0-2.fc20.x86_64                              39/88 
  Upgrading   : gupnp-0.20.11-1.fc20.x86_64                               40/88 
  Upgrading   : docker-io-0.10.0-2.fc20.x86_64                            41/88 
  Upgrading   : cifs-utils-6.3-2.fc20.x86_64                              42/88 
  Upgrading   : qt-1:4.8.6-5.fc20.i686                                    43/88 
  Upgrading   : qt-x11-1:4.8.6-5.fc20.i686                                44/88 
  Cleanup     : abrt-desktop-2.2.1-1.fc20.x86_64                          45/88 
  Cleanup     : abrt-addon-vmcore-2.2.1-1.fc20.x86_64                     46/88 
  Cleanup     : abrt-addon-python-2.2.1-1.fc20.x86_64                     47/88 
  Cleanup     : abrt-addon-python3-2.2.1-1.fc20.x86_64                    48/88 
  Cleanup     : selinux-policy-targeted-3.12.1-158.fc20.noarch            49/88 
  Erasing     : kernel-modules-extra-3.13.9-200.fc20.x86_64               50/88 
  Cleanup     : qt-x11-1:4.8.6-2.fc20.x86_64                              51/88 
  Cleanup     : policycoreutils-gui-2.2.5-3.fc20.x86_64                   52/88 
  Cleanup     : python-librepo-1.7.2-1.fc20.x86_64                        53/88 
  Cleanup     : librepo-1.7.2-1.fc20.x86_64                               54/88 
  Cleanup     : qt-1:4.8.6-2.fc20.x86_64                                  55/88 
  Erasing     : kernel-3.13.9-200.fc20.x86_64                             56/88 
  Cleanup     : youtube-dl-2014.04.11.1-1.fc20.noarch                     57/88 
  Cleanup     : python3-six-1.5.2-1.fc20.noarch                           58/88 
  Cleanup     : python-six-1.5.2-1.fc20.noarch                            59/88 
  Cleanup     : kernel-headers-3.14.2-200.fc20.x86_64                     60/88 
  Cleanup     : qt-devel-1:4.8.6-2.fc20.x86_64                            61/88 
  Cleanup     : abrt-gui-2.2.1-1.fc20.x86_64                              62/88 
  Cleanup     : abrt-addon-ccpp-2.2.1-1.fc20.x86_64                       63/88 
  Cleanup     : qt-qdbusviewer-1:4.8.6-2.fc20.x86_64                      64/88 
  Cleanup     : abrt-addon-pstoreoops-2.2.1-1.fc20.x86_64                 65/88 
  Cleanup     : abrt-addon-kerneloops-2.2.1-1.fc20.x86_64                 66/88 
  Cleanup     : abrt-dbus-2.2.1-1.fc20.x86_64                             67/88 
  Cleanup     : selinux-policy-devel-3.12.1-158.fc20.noarch               68/88 
  Cleanup     : policycoreutils-devel-2.2.5-3.fc20.x86_64                 69/88 
  Cleanup     : abrt-python3-2.2.1-1.fc20.x86_64                          70/88 
  Cleanup     : abrt-addon-xorg-2.2.1-1.fc20.x86_64                       71/88 
  Cleanup     : selinux-policy-3.12.1-158.fc20.noarch                     72/88 
  Cleanup     : policycoreutils-python-2.2.5-3.fc20.x86_64                73/88 
  Cleanup     : qt-x11-1:4.8.6-2.fc20.x86_64                              74/88 
  Cleanup     : abrt-retrace-client-2.2.1-1.fc20.x86_64                   75/88 
  Cleanup     : abrt-plugin-bodhi-2.2.1-1.fc20.x86_64                     76/88 
  Cleanup     : abrt-python-2.2.1-1.fc20.x86_64                           77/88 
  Cleanup     : abrt-2.2.1-1.fc20.x86_64                                  78/88 
  Cleanup     : abrt-libs-2.2.1-1.fc20.x86_64                             79/88 
  Cleanup     : qt-1:4.8.6-2.fc20.x86_64                                  80/88 
  Cleanup     : policycoreutils-2.2.5-3.fc20.x86_64                       81/88 
  Cleanup     : abrt-gui-libs-2.2.1-1.fc20.x86_64                         82/88 
  Cleanup     : xorg-x11-drv-evdev-2.8.3-1.fc20.x86_64                    83/88 
  Cleanup     : os-prober-1.58-5.fc20.x86_64                              84/88 
  Cleanup     : iproute-3.14.0-1.fc20.x86_64                              85/88 
  Cleanup     : gupnp-0.20.10-1.fc20.x86_64                               86/88 
  Cleanup     : docker-io-0.9.1-1.fc20.x86_64                             87/88 
  Cleanup     : cifs-utils-6.3-1.fc20.x86_64                              88/88 

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 404, in callback
    self._scriptStop(bytes, total, h);
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 537, in _scriptStop
    self._scriptout()
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 201, in _scriptout
    self.display.scriptout(msgs)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 2429, in scriptout
    sys.stdout.write(unicode(msgs))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 21: ordinal not in range(128)
FATAL ERROR: python callback <bound method RPMTransaction.callback of <dnf.yum.rpmtrans.RPMTransaction object at 0x7f09dc2fa790>> failed, aborting!
Comment 1 Marcin Juszkiewicz 2014-05-13 12:45:53 EDT
18:22 root@puchatek:hrw# dnf --version
0.5.1
  Zainstalowane: dnf-0:0.5.1-1.fc21.noarch o 2014-05-05 16:34
  Zbudowane    : Fedora Project o 2014-05-02 08:10

  Zainstalowane: rpm-0:4.11.2-10.fc21.x86_64 o 2014-04-24 06:55
  Zbudowane    : Fedora Project o 2014-04-21 18:43
18:22 root@puchatek:hrw# locale
LANG=pl_PL.UTF-8
LC_CTYPE=pl_PL.UTF-8
LC_NUMERIC="pl_PL.UTF-8"
LC_TIME="pl_PL.UTF-8"
LC_COLLATE=pl_PL.UTF-8
LC_MONETARY="pl_PL.UTF-8"
LC_MESSAGES=pl_PL.UTF-8
LC_PAPER="pl_PL.UTF-8"
LC_NAME="pl_PL.UTF-8"
LC_ADDRESS="pl_PL.UTF-8"
LC_TELEPHONE="pl_PL.UTF-8"
LC_MEASUREMENT="pl_PL.UTF-8"
LC_IDENTIFICATION="pl_PL.UTF-8"
LC_ALL=
18:23 root@puchatek:hrw# dnf reinstall kernel-core -y
Rozwiązano zależności.                                                                                                                                       
                                                                                                                                                             
=============================================================================================================================================================
 Pakiet                         Architektura              Wersja                                      Repozytorium                                     Rozmiar                                                                                                                                                            
=============================================================================================================================================================
Ponowne instalowanie:                                                                                                                                        
 kernel-core                    x86_64                    3.15.0-0.rc5.git1.2.fc21                    fedora-rawhide-kernel-nodebug                     17 M 
                                                                                                                                                             
Podsumowanie transakcji                                                                                                                                      
=============================================================================================================================================================
                                                                                                                                                             
Całkowity rozmiar pobierania: 17 M                                                                                                                           
Pobieranie pakietów:                                                                                                                                         
kernel-core-3.15.0-0.rc5.git1.2.fc21.x86_64.rpm                                                                              3.1 MB/s |  17 MB     00:05     
Wykonywanie sprawdzania transakcji
Test transakcji został ukończony powodzeniem.
Wykonywanie testu transakcji
Test transakcji został ukończony powodzeniem.
Wykonywanie transakcji
  Ponowne instalowanie           : kernel-core-3.15.0-0.rc5.git1.2.fc21.x86_64                                                                           1/2 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 404, in callback
    self._scriptStop(bytes, total, h);
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 537, in _scriptStop
    self._scriptout()
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 201, in _scriptout
    self.display.scriptout(msgs)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 2429, in scriptout
    sys.stdout.write(unicode(msgs))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 1: ordinal not in range(128)
FATAL ERROR: python callback <bound method RPMTransaction.callback of <dnf.yum.rpmtrans.RPMTransaction object at 0x29fb150>> failed, aborting!
Comment 2 Marcin Juszkiewicz 2014-05-13 12:46:41 EDT
I do wonder why DNF uses Python 2.7 instead of 3.x so there will be no issue with non US-ASCII strings.
Comment 3 Honza Silhan 2014-05-16 14:38:55 EDT
*** Bug 1096398 has been marked as a duplicate of this bug. ***
Comment 4 Dennis Gilmore 2014-05-21 12:53:52 EDT
just hit this on a box that is entirely in us english 
Running transaction
  Upgrading   : bash-4.3.18-1.fc21.x86_64                                                                                                                                                                                                                                1/339 
  Upgrading   : libgcc-4.9.0-5.fc21.x86_64                                                                                                                                                                                                                               2/339 
  Upgrading   : libstdc++-4.9.0-5.fc21.x86_64                                                                                                                                                                                                                            3/339 
  Upgrading   : libetpan-1.5-1.fc21.x86_64                                                                                                                                                                                                                               4/339 
  Upgrading   : claws-mail-3.9.3-4.fc21.x86_64                                                                                                                                                                                                                           5/339 
  Upgrading   : elfutils-libelf-0.159-1.fc21.x86_64                                                                                                                                                                                                                      6/339 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 404, in callback
    self._scriptStop(bytes, total, h);
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 537, in _scriptStop
    self._scriptout()
  File "/usr/lib/python2.7/site-packages/dnf/yum/rpmtrans.py", line 201, in _scriptout
    self.display.scriptout(msgs)
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 2429, in scriptout
    sys.stdout.write(unicode(msgs))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 6: ordinal not in range(128)
FATAL ERROR: python callback <bound method RPMTransaction.callback of <dnf.yum.rpmtrans.RPMTransaction object at 0x7fb76bc0e8d0>> failed, aborting!
Comment 5 Radek Holy 2014-05-22 08:19:08 EDT
*** Bug 1100265 has been marked as a duplicate of this bug. ***
Comment 6 Ales Kozumplik 2014-05-26 02:30:23 EDT
*** Bug 1100822 has been marked as a duplicate of this bug. ***
Comment 7 Honza Silhan 2014-05-26 08:10:48 EDT
Fixed in the upstream.

Marcin, you can use dnf from python 3 but we also have to support python 2 from the same codebase. We are trying to use unicode strings everywhere and return unicoded strings from libraries dnf depends on.
Comment 8 Marcin Juszkiewicz 2014-05-26 08:57:19 EDT
Jan: ok, so why it is not Python3 in rawhide by default?

With Python2 support in testsuite you will see when it fails (and such fail will stop it from getting into repository).

I recently went back into Python programming and after first hour of dealing with Unicode in Python2 decided to forget that such version exists :D
Comment 9 Honza Silhan 2014-05-26 10:04:21 EDT
Marcin, we still need to run on python 2 becouse of RHEL7 users and we don't want to create multiple branches of DNF. The future goal is to get rid of Python 2, of course.
Comment 10 Ales Kozumplik 2014-05-26 10:07:42 EDT
(In reply to Jan Silhan from comment #9)
> Marcin, we still need to run on python 2 becouse of RHEL7 users and we don't

EPEL7 users, rather.
Comment 11 Fedora Update System 2014-05-28 08:09:17 EDT
dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libsolv-0.6.1-1.git6d968f1.fc20,hawkey-0.4.16-1.fc20,dnf-0.5.2-1.fc20,dnf-plugins-core-0.0.8-2.fc20
Comment 12 Fedora Update System 2014-05-28 19:49:12 EDT
Package dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.0.8-2.fc20 libsolv-0.6.1-1.git6d968f1.fc20 hawkey-0.4.16-1.fc20 dnf-0.5.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6789/libsolv-0.6.1-1.git6d968f1.fc20,hawkey-0.4.16-1.fc20,dnf-0.5.2-1.fc20,dnf-plugins-core-0.0.8-2.fc20
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-05-31 19:57:44 EDT
dnf-plugins-core-0.0.8-2.fc20, libsolv-0.6.1-1.git6d968f1.fc20, hawkey-0.4.16-1.fc20, dnf-0.5.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Parag Nemade 2014-06-14 04:41:39 EDT
*** Bug 1109323 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.